unit BNWizTestForm;

interface

uses
  SysUtils, Types, Classes, Variants, QGraphics, QControls, QForms, QDialogs,
  BNWiz, QActnList, QStdCtrls, QComCtrls;

type
  TForm1 = class(TForm)
    BNWizard1: TBNWizard;
    BNWizSheet1: TBNWizSheet;
    Label1: TLabel;
    Edit1: TEdit;
    BNWizSheet2: TBNWizSheet;
    Label2: TLabel;
    Edit2: TEdit;
    BNWizSheet3: TBNWizSheet;
    Label3: TLabel;
    Edit3: TEdit;
    BNWizSheet4: TBNWizSheet;
    Label4: TLabel;
    Edit4: TEdit;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    ActionList1: TActionList;
    BNWizBackAction1: TBNWizBackAction;
    BNWizNextFinishAction1: TBNWizNextFinishAction;
    BNWizCancelAction1: TBNWizCancelAction;
    procedure BNWizard1Cancel(Sender: TObject);
    procedure BNWizard1Finish(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure Edit2Change(Sender: TObject);
    procedure Edit3Change(Sender: TObject);
    procedure Edit4Change(Sender: TObject);
    procedure BNWizSheet1Validate(Sender: TObject; var CanDoNext,
      CanFinish: Boolean);
    procedure BNWizSheet2Validate(Sender: TObject; var CanDoNext,
      CanFinish: Boolean);
    procedure BNWizSheet3Validate(Sender: TObject; var CanDoNext,
      CanFinish: Boolean);
    procedure BNWizSheet4Validate(Sender: TObject; var CanDoNext,
      CanFinish: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.xfm}

procedure TForm1.BNWizard1Cancel(Sender: TObject);
begin
  Close;
end;

procedure TForm1.BNWizard1Finish(Sender: TObject);
begin
  ShowMessage('Hooray!');
  Close;
end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
  BNWizSheet1.Validate;
end;

procedure TForm1.Edit2Change(Sender: TObject);
begin
  BNWizSheet2.Validate;
end;

procedure TForm1.Edit3Change(Sender: TObject);
begin
  BNWizSheet3.Validate;
end;

procedure TForm1.Edit4Change(Sender: TObject);
begin
  BNWizSheet4.Validate;
end;

procedure TForm1.BNWizSheet1Validate(Sender: TObject; var CanDoNext,
  CanFinish: Boolean);
begin
  CanDoNext := Edit1.Text <> '';
end;

procedure TForm1.BNWizSheet2Validate(Sender: TObject; var CanDoNext,
  CanFinish: Boolean);
begin
  CanDoNext := Edit2.Text <> '';
end;

procedure TForm1.BNWizSheet3Validate(Sender: TObject; var CanDoNext,
  CanFinish: Boolean);
begin
  CanDoNext := Edit3.Text <> '';
end;

procedure TForm1.BNWizSheet4Validate(Sender: TObject; var CanDoNext,
  CanFinish: Boolean);
begin
  CanFinish := Edit4.Text <> '';
end;

end.
